@font-face {
  font-family: "PT Sans";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/ptsans-400.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-family: "PT Sans";
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/ptsans-700.woff2") format("woff2");
  font-display: swap;
}

html {
  height: 100%;
}

body {
  height: 100%;
  margin: 0;

  font-weight: 400;
  font-size: 18px;
  line-height: 21px;
  font-family: "PT Sans", "Arial", sans-serif;
  color: #333333;

  background-color: #f1f1f1;
}

img {
  max-width: 100%;
  object-fit: contain;
}

.page-container {
  display: flex;
  flex-direction: column;
  width: 1200px;
  min-height: 100%;
  margin: 0 auto;

  background-color: #ffffff;
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.2);
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.button {
  display: inline-block;
  padding: 8px 15px;

  font-weight: 700;
  font-size: 16px;
  line-height: 20px;
  font-family: inherit;
  color: #ffffff;
  text-transform: uppercase;
  text-align: center;
  text-decoration: none;

  border-radius: 4px;
  border: none;
}

.button:disabled {
  background-color: #e5e5e5;

  cursor: default;
}

.page-header {
  display: flex;
  justify-content: space-between;
  padding: 0 70px;

  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
  color: #000000;
}

.header-logo-image {
  position: absolute;
}

.header-logo-image:hover {
  opacity: 80%;
}

.header-logo:focus-visible .header-logo-image {
  opacity: 80%;
}

.header-logo-image:active {
  opacity: 60%;
}

.navigation {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 892px;
}

.navigation-list {
  display: flex;
  flex-wrap: wrap;
  width: 480px;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.navigation-item .navigation-link {
  position: relative;

  display: block;
  padding: 20px 16px;

  color: inherit;
  text-decoration: none;
}

.navigation-link[href]:hover {
  opacity: 60%;
}

.navigation-link:focus-visible {
  opacity: 60%;
}

.navigation-link[href]:active {
  opacity: 30%;
}

.navigation-link-current::after {
  position: absolute;
  top: 63px;
  right: 16px;
  left: 16px;

  height: 2px;

  content: "";

  background-color: #756257;
}

.user-menu {
  display: flex;
  justify-content: end;
  align-items: center;
  flex-wrap: wrap;
  width: 360px;
}

.user-menu .navigation-link {
  display: block;
  min-width: 44px;
  padding: 20px 13px;
  box-sizing: border-box;
}

.navigation-icon {
  fill: #000000;
}

.navigation-icon:hover {
  fill: rgba(0, 0, 0, 0.6);
}

.navigation-link:focus-visible .navigation-icon {
  fill: rgba(0, 0, 0, 0.6);
}

.navigation-icon:active {
  fill: rgba(0, 0, 0, 0.3);
}

.favourite-wrapper {
  position: relative;
}

.hotel-number {
  position: absolute;
  top: 10px;
  right: 4px;

  min-width: 20px;
  min-height: 20px;

  font-weight: 400;
  font-size: 10px;
  line-height: 20px;
  text-align: center;

  background-color: #7db54f;
  border-radius: 100vw;
}

.want-here-button {
  min-width: 160px;
  max-width: 200px;
  margin-left: 20px;
  box-sizing: border-box;

  background-color: #756157;
}

.want-here-button:not(:disabled):hover {
  background-color: #615048;
}

.want-here-button:not(:disabled):active {
  color: rgba(255, 255, 255, 0.3);
}

.want-here-button:focus {
  background-color: #615048;
}

.main-index {
  flex-grow: 1;

  text-align: center;
}

.hero {
  min-height: 485px;
  box-sizing: border-box;
  padding-top: 51px;

  background-color: #507da5;
  background-image: url("../images/background/divider.svg"), url("../images/background/hero-background.jpg");
  background-repeat: no-repeat, no-repeat;
  background-position: center bottom, center top;
  background-size: 100% auto, cover;
}

.advantages {
  padding-top: 69px;
}

.advantages-title {
  max-width: 700px;
  margin: 0 auto 25px;
  padding: 0;

  font-weight: 700;
  font-size: 30px;
  line-height: 36px;
  color: #000000;
  text-transform: uppercase;
}

.advantages-subtitle {
  max-width: 1000px;
  margin: 0 auto 90px;
  padding: 0;

  font-size: 22px;
  line-height: 26px;
}

.advantages-list {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.advantages-item {
  width: 400px;
  min-height: 385px;
  box-sizing: border-box;
  padding-top: 113px;

  background-color: #f0f6fa;
}

.advantage-with-image {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding-top: 0;

  background-color: #82b3d3;
}

.advantage-wrapper {
  padding-top: 102px;
  margin: 0 auto;
}

.advantages-image {
  object-fit: cover;
}

.advantages-odd {
  background-color: #e6f0f6;
}

.advantages-item-title {
  max-width: 235px;
  margin: 0 auto;

  font-weight: 700;
  font-size: 24px;
  line-height: 28px;
  color: #000000;
  text-transform: uppercase;
}

.advantages-item-title::after {
  display: block;
  width: 60px;
  margin: 30px auto;

  content: "";

  border-top: 2px solid rgba(0, 0, 0, 0.3);
}

.advantage-wrapper .advantages-item-title::after {
  border-color: rgba(255, 255, 255, 0.3);
}

.advantages-description {
  max-width: 235px;
  margin: 0 auto 100px;
}

.services {
  padding-top: 64px;
}

.services-title {
  max-width: 700px;
  margin: 0 auto 20px;
  padding: 0;

  font-weight: 700;
  font-size: 30px;
  line-height: 36px;
  color: #000000;
  text-transform: uppercase;
}

.services-subtitle {
  max-width: 1000px;
  margin: 0 auto 64px;
  padding: 0;

  font-size: 22px;
  line-height: 26px;
}

.services-list {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.services-item {
  width: 400px;
  min-height: 385px;
  padding: 80px 0;
  box-sizing: border-box;
}

.services-house::before {
  display: inline-block;
  width: 75px;
  height: 72px;
  margin: 1px auto 26px;

  content: "";

  background-image: url("../images/icons/house.svg");
  background-size: cover;
}

.services-food::before {
  display: inline-block;
  width: 74px;
  height: 70px;
  margin: 2px auto 27px;

  content: "";

  background-image: url("../images/icons/food.svg");
  background-size: cover;
}

.services-souvenirs::before {
  display: inline-block;
  width: 64px;
  height: 76px;
  margin: -1px auto 24px;

  content: "";

  background-image: url("../images/icons/souvenirs.svg");
  background-size: cover;
}

.services-item:nth-child(odd) {
  background-color: #f0f6fa;
}

.services-item-title {
  max-width: 235px;
  margin: 0 auto 30px;
  padding: 0;

  font-weight: 700;
  font-size: 24px;
  line-height: 28px;
  color: #000000;
  text-transform: uppercase;
}

.services-description {
  max-width: 235px;
  margin: 0 auto;
}

.apartment-search {
  padding: 96px 100px;
}

.apartment-search-title {
  max-width: 700px;
  margin: 0 auto 20px;
  padding: 0;

  font-weight: 700;
  font-size: 30px;
  line-height: 36px;
  color: #000000;
  text-transform: uppercase;
}

.apartment-search-subtitle {
  max-width: 1000px;
  margin: 0 auto 54px;
  padding: 0;

  font-size: 22px;
  line-height: 26px;
}

.search-button {
  min-width: 376px;
  max-width: 600px;

  font-size: 20px;
  line-height: 36px;

  background-color: #756157;

  cursor: pointer;
}

.search-button:not(:disabled):hover {
  background-color: #615048;
}

.search-button:not(:disabled):active {
  color: rgba(255, 255, 255, 0.3);
}

.search-button:focus {
  background-color: #615048;
}

.subscription {
  padding: 96px 100px 104px;

  text-align: center;
}

.subscription-index {
  background-color: #507da5;
  background-image: url("../images/background/subscribe-background.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.subscription-title {
  max-width: 700px;
  margin: 0 auto 20px;
  padding: 0;

  font-weight: 700;
  font-size: 30px;
  line-height: 36px;
  color: #000000;
  text-transform: uppercase;
}

.subscription-subtitle {
  max-width: 1000px;
  margin: 0 auto 54px;
  padding: 0;

  font-size: 22px;
  line-height: 26px;
}

.subscription-form {
  display: flex;
  justify-content: center;
}

.email-field {
  width: 452px;
  min-height: 52px;
  box-sizing: border-box;
  padding-inline: 20px;

  font-size: inherit;
  line-height: 24px;
  font-family: inherit;

  background-color: #f2f2f2;
  border-radius: 4px 0 0 4px;
  border: none;
}

.email-field:not(:disabled):hover {
  background-color: #e5e5e5;
}

.email-field:focus {
  outline: 3px solid #83b3d3;
  background-color: #e5e5e5;
}

.email-field:not(:disabled):active {
  outline: 2px solid #83b3d3;
  background-color: #e5e5e5;
}

.email-field:disabled {
  opacity: 50%;
}

.email-catalog {
  background-color: #f1f1f1;
}

.subscription-button {
  min-width: 232px;
  max-width: 500px;

  font-size: 20px;
  line-height: 36px;

  background-color: #82b3d3;
  border-radius: 0 4px 4px 0;

  cursor: pointer;
}

.subscription-button:not(:disabled):hover {
  background-color: #68a2ca;
}

.subscription-button:not(:disabled):active {
  color: rgba(255, 255, 255, 0.3);
}

.subscription-button:focus {
  background-color: #68a2ca;
}

.search-wrapper {
  padding: 35px 70px 70px;

  background-color: #507da5;
  background-image: url("../images/background/catalog-background.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.main-header-title {
  margin: 0 0 8px;
  padding: 0;

  font-size: 60px;
  line-height: 78px;
}

.breadcrumbs {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin: 0 0 40px;
  padding: 0;

  list-style-type: none;
}

.breadcrumbs-icon {
  fill: #ffffff;
}

.breadcrumbs-icon:hover {
  opacity: 60%;
}

.breadcrumbs-icon:focus {
  opacity: 60%;
}

.breadcrumbs-icon:active {
  opacity: 30%;
}

.breadcrumbs-link {
  font-size: 16px;
  line-height: 21px;
  text-decoration: none;
}

.breadcrumbs-link[href]:hover {
  color: rgba(255, 255, 255, 0.6);
}

.breadcrumbs-link[href]:focus {
  outline: 2px solid #ffffff;
  color: rgba(255, 255, 255, 0.6);
}

.breadcrumbs-link[href]:active {
  color: rgba(255, 255, 255, 0.3);
}

.breadcrumbs-item:not(:last-child)::after {
  display: inline-block;
  width: 7px;
  height: 10px;
  margin-inline: 9px;

  content: "";

  background-image: url("../images/icons/breadcrumbs-arrow.svg");
  background-size: cover;
}

.search-form {
  display: flex;
  flex-wrap: wrap;
}

.infrastructure-filters {
  display: flex;
  flex-direction: column;
  width: 180px;
  padding: 0;
  margin: 0 38px 0 0;

  border: 0;
}

.checkbox-control {
  width: 20px;
  height: 20px;
  margin: 0;

  background-color: #ffffff;
  border-radius: 4px;
  appearance: none;

  cursor: pointer;
}

.checkbox-control:checked {
  background-image: url("../images/icons/check.svg");
  background-repeat: no-repeat;
  background-position: center center;
}

.housing-filters {
  display: flex;
  flex-direction: column;
  width: 180px;
  margin-right: 109px;
  padding: 0;

  border: 0;
}

.radio-control {
  position: relative;

  width: 20px;
  height: 20px;
  margin: 0;

  background-color: #ffffff;
  border-radius: 50%;
  appearance: none;

  cursor: pointer;
}

.radio-control:checked::before {
  position: absolute;
  top: 5px;
  left: 5px;

  width: 10px;
  height: 10px;

  content: "";

  background-color: #3f5e72;
  border-radius: 50%;
}

.filter-name {
  margin-bottom: 32px;
  padding: 0;

  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
}

.control-item {
  display: flex;
  align-items: center;
  gap: 16px;

  line-height: 23px;
}

.control-name {
  max-width: 130px;
}

.control-item:not(:last-child) {
  margin-bottom: 16px;
}

.control:not(:disabled):hover {
  opacity: 60%;
}

.control:not(:disabled):hover + .control-name {
  opacity: 60%;
}

.control:focus-visible {
  outline: 3px solid #82b3d3;
  outline-offset: -0.5px;
}

.control:not(:disabled):active {
  opacity: 30%;
}

.control:not(:disabled):active + .control-name {
  opacity: 30%;
}

.control:disabled {
  opacity: 20%;
  cursor: default;
}

.control:disabled + .control-name {
  opacity: 20%;
}

.price {
  width: 287px;
  padding: 0;

  line-height: 24px;
  font-family: inherit;

  border: 0;
}

.price-range-wrapper {
  position: relative;

  display: flex;
  gap: 2px;
  margin-bottom: 44px;
}

.price-range {
  width: 143px;
  height: 48px;
  box-sizing: border-box;
  padding-left: 20px;
  padding-right: 60px;

  font-weight: 700;
  font-size: inherit;
  line-height: 24px;
  font-family: inherit;
  color: #000000;

  background-color: #f2f2f2;
  border: 0;

  -moz-appearance: textfield;
  appearance: textfield;
}

.price-range::-webkit-inner-spin-button,
.price-range::-webkit-outer-spin-button {
  appearance: none;
}

.range-min {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.range-max {
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

.price-from {
  position: absolute;
  top: 12px;
  left: 106px;

  width: 35px;

  color: rgba(0, 0, 0, 0.3);
}

.price-to {
  position: absolute;
  top: 12px;
  right: 5px;

  width: 35px;

  color: rgba(0, 0, 0, 0.3);
}

.price-range:not(:disabled):hover {
  background-color: #e5e5e5;
}

.price-range:focus {
  background-color: #e5e5e5;
  outline: 3px solid #83b3d3;
}

.price-range:not(:disabled):active {
  background-color: #e5e5e5;
  outline: 2px solid #83b3d3;
}

.price-range:disabled {
  opacity: 50%;
}

.range-scale {
  position: relative;

  height: 4px;

  background-color: rgba(255, 255, 255, 0.3);
}

.range-bar {
  position: absolute;

  height: 4px;

  background-color: #ffffff;
}

.range-toggle {
  position: absolute;

  width: 20px;
  height: 20px;

  background-color: #ffffff;
  border-radius: 5px;
  border: none;

  cursor: pointer;
}

.toggle-min {
  top: -8px;
}

.toggle-max {
  top: -8px;
  right: 0;
}

.range-toggle:not(:disabled):hover {
  box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.range-toggle:focus-visible {
  outline: 3px solid #83b3d3;
  box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.range-toggle:not(:disabled):active {
  outline: 2px solid #83b3d3;
  box-shadow: 0 7px 15px 0 rgba(0, 0, 0, 0.4);
}

.range-toggle:disabled {
  opacity: 50%;

  cursor: default;
}

.button-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 56px;
  margin-left: auto;
}

.apply-button {
  min-width: 191px;
  max-width: 220px;
  margin: 0 0 32px;

  background-color: #82b3d3;

  cursor: pointer;
}

.apply-button:not(:disabled):hover {
  background-color: #68a2ca;
}

.apply-button:not(:disabled):active {
  color: rgba(255, 255, 255, 0.3);
}

.apply-button:focus {
  background-color: #68a2ca;
}

.reset-button {
  min-width: 191px;
  max-width: 220px;

  background-color: transparent;

  cursor: pointer;
}

.reset-button:not(:disabled):hover {
  color: rgba(255, 255, 255, 0.5);
}

.reset-button:not(:disabled):active {
  color: rgba(255, 255, 255, 0.3);
}

.reset-button:focus-visible {
  outline: 3px solid #83b3d3;
}

.reset-button:disabled {
  color: rgba(255, 255, 255, 0.1);

  background-color: transparent;
}

.search-results {
  padding: 43px 70px 52px;
}

.results-sort-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 0 34px;
}

.search-results-title {
  max-width: 450px;
  margin: 0;
  padding: 0;

  font-weight: 700;
  font-size: 30px;
  line-height: 36px;
  color: #000000;
  text-transform: uppercase;
}

.sort-wrapper {
  display: flex;
  align-items: flex-start;
  padding-top: 6px;
}

.sort-order {
  width: 292px;
  height: 49px;
  box-sizing: border-box;
  margin: 0 70px 0 0;
  padding-left: 18px;

  font-size: inherit;
  font-family: inherit;

  background-color: #ffffff;
  background-image: url("../images/icons/sorting-arrow.svg");
  background-repeat: no-repeat;
  background-position: right 18px center;
  border-radius: 4px;
  border: 2px solid #e5e5e5;
  appearance: none;
}

.sort-order:hover {
  border-color: #68a2ca;
}

.sort-order:focus {
  border-color: #68a2ca;
  outline: none;
}

.sort-order:disabled {
  opacity: 30%;
  border-color: #000000;
}

.view-list {
  display: flex;
  flex-wrap: wrap;
  max-width: 170px;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.view-link {
  display: block;
  min-width: 48px;
  min-height: 48px;
  margin-bottom: 8px;
  box-sizing: border-box;

  border-radius: 4px;
  border: 2px solid #e5e5e5;

  cursor: pointer;
}

.view-link-tile {
  background-image: url("../images/icons/view-tile.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 16px 14px;
}

.view-link-card {
  background-image: url("../images/icons/view-card.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 16px 14px;
}

.view-link-list {
  background-image: url("../images/icons/view-list.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 16px 14px;
}

.view-item:not(:last-child) {
  margin-right: 8px;
}

.view-current {
  border-color: #000000;
}

.view-link:hover {
  border-color: #000000;
}

.view-link:focus {
  border-color: #68a2ca;
  outline: none;
}

.view-link:active {
  border-color: #000000;
}

.view-link:disabled {
  border-color: rgba(0, 0, 0, 0.3);
}

.housing-card-list {
  display: grid;
  grid-template-columns: repeat(3, 340px);
  gap: 20px;
  margin: 0 0 40px;
  padding: 0;

  list-style-type: none;
}

.housing-card {
  display: grid;
  grid-template-columns: repeat(2, 140px);
  grid-template-rows: auto repeat(3, min-content);
  row-gap: 16px;
  justify-content: space-between;
  min-height: 438px;
  padding: 19px;
  box-sizing: border-box;

  border: 1px solid #e5e5e5;
  border-radius: 5px;
}

.housing-card-link {
  grid-column: 1 / -1;

  text-decoration: none;
}

.housing-card-link:hover {
  opacity: 60%;
}

.housing-card-link:focus-visible {
  opacity: 60%;
}

.housing-card-link:active {
  opacity: 30%;
}

.housing-card-image {
  margin: 0 0 12px;
}

.housing-card-title {
  margin: 0;

  font-weight: 700;
  font-size: 24px;
  line-height: 28px;
  color: #000000;
}

.housing-card-type {
  grid-column: 1 / 2;
  min-width: 140px;
}

.housing-card-price {
  grid-column: 2 / 3;
  justify-self: end;
}

.details-button {
  grid-column: 1 / 2;
  width: 140px;
  box-sizing: border-box;

  background-color: #756157;
}

.details-button:not(:disabled):hover {
  background-color: #615048;
}

.details-button:active {
  color: rgba(255, 255, 255, 0.3);
}

.details-button:focus {
  background-color: #615048;
}

.add-to-favourite {
  grid-column: 2 / 3;
  width: 140px;
  box-sizing: border-box;

  background-color: #81b3d3;

  cursor: pointer;
}

.add-to-favourite:not(:disabled):hover {
  background-color: #68a2ca;
}

.add-to-favourite:not(:disabled):active {
  color: rgba(255, 255, 255, 0.3);
}

.add-to-favourite:focus {
  background-color: #68a2ca;
}

.favourite {
  grid-column: 2 / 3;
  width: 140px;
  box-sizing: border-box;

  background-color: #7db54f;

  cursor: pointer;
}

.favourite:not(:disabled):hover {
  background-color: #6c9e42;
}

.favourite:not(:disabled):active {
  color: rgba(255, 255, 255, 0.3);
}

.favourite:focus {
  background-color: #6c9e42;
}

.rating-stars {
  grid-column: 1 / 2;
  align-self: center;
  height: 18px;
  min-width: 24px;

  background-image: url("../images/icons/star.svg");
  background-repeat: repeat;
  background-position: left center;
}

.stars-two {
  width: 48px;
}

.stars-three {
  width: 72px;
}

.stars-four {
  width: 96px;
}

.housing-card-rating {
  grid-column: 2 / 3;
  width: 140px;
  box-sizing: border-box;
  padding: 9px;

  font-size: 16px;
  line-height: 20px;
  text-transform: uppercase;
  text-align: center;

  background-color: #f2f2f2;
  border-radius: 4px;
}

.pagination {
  display: flex;
  flex-wrap: wrap;
  max-width: 1060px;
  margin: 0;
  padding: 39px 0 0;

  text-align: center;
  list-style-type: none;
}

.pagination-link {
  display: block;
  min-width: 60px;
  min-height: 60px;
  box-sizing: border-box;
  margin: 0 8px 8px 0;
  padding: 10px;

  font-weight: 700;
  font-size: 20px;
  line-height: 36px;
  color: #ffffff;
  text-decoration: none;

  background-color: #82b3d3;
  border-radius: 4px;
}

.pagination-link[href]:hover {
  background-color: #68a2ca;
  box-shadow: inset 0 0 0 1px #82b3d3;
}

.pagination-link:focus {
  background-color: #68a2ca;
  box-shadow: inset 0 0 0 1px #82b3d3;
  outline: none;
}

.pagination-link:active {
  color: rgba(255, 255, 255, 0.3);

  background-color: #82b3d3;
}

.pagination-current {
  color: #000000;

  background-color: #f2f2f2;
}

.pagination-dots {
  display: block;
  width: 60px;
  height: 60px;
  box-sizing: border-box;
  margin: 0 8px 0 0;
  padding-top: 12px;

  line-height: 36px;
  text-align: center;
}

.page-footer {
  display: flex;
  padding: 46px 70px 35px;
}

.socials-list {
  display: flex;
  flex-wrap: wrap;
  max-width: 200px;
  margin: 0 auto 0 0;
  padding: 0;

  list-style-type: none;
}

.socials-link {
  display: block;
  width: 48px;
  height: 40px;
  box-sizing: border-box;
  padding: 11px 12px;
}

.socials-icon {
  fill: #83b3d3;
}

.socials-icon:hover {
  fill: #68a2ca;
}

.socials-icon:active {
  fill: #68a2ca;
  opacity: 30%;
}

.socials-link:focus-visible .socials-icon {
  fill: #68a2ca;
}

.contacts-address {
  max-width: 350px;

  text-align: center;
}

.contacts-phone {
  font-style: normal;
  font-size: 40px;
  line-height: 40px;
  color: #000000;
  text-decoration: none;
}

.contacts-phone:hover {
  color: #756157;
}

.contacts-phone:focus-visible {
  color: #756157;
}

.contacts-phone:active {
  color: #756157;
  opacity: 30%;
}

.developer-link {
  margin-left: auto;
  padding: 3px 0;
}

.developer-logo {
  fill: #000000;
}

.developer-logo:hover {
  fill: #756157;
}

.developer-link:focus-visible .developer-logo {
  fill: #756157;
}

.developer-logo:active {
  fill: #756157;
  opacity: 30%;
}

.modal-container {
  position: fixed;
  top: 0;
  left: 0;

  display: flex;
  width: 100%;
  height: 100%;

  background-color: rgba(242, 242, 242, 0.8);
}

.modal-container-hidden {
  display: none;
}

.modal {
  position: relative;

  width: 717px;
  box-sizing: border-box;
  margin: auto;
  padding: 64px 70px;

  background-color: #ffffff;
  border-radius: 30px;
  box-shadow: 0 25px 50px 0 rgba(0, 0, 0, 0.15);
}

.modal-close-button {
  position: absolute;
  top: 64px;
  right: 52px;

  width: 52px;
  height: 52px;
  padding: 19px;

  background-color: #f2f2f2;
  border-radius: 50%;
  border: none;

  cursor: pointer;
}

.modal-close-button:not(:disabled):hover {
  background-color: #e5e5e5;
}

.modal-close-button:focus-visible {
  background-color: #e5e5e5;
  outline: 3px solid #83b3d3;
}

.modal-close-button:not(:disabled):active .modal-close-icon {
  background-color: #e5e5e5;
  opacity: 30%;
}

.modal-close-button:disabled {
  opacity: 50%;

  cursor: default;
}

.modal-title {
  max-width: 530px;
  margin: 0 0 64px;

  font-size: 30px;
  line-height: 36px;
  text-transform: uppercase;
}

.search-form-modal {
  display: grid;
  grid-template-columns: 137px 198px 131px 111px;
  align-items: center;
}

.date-label {
  grid-column: 1 / 2;

  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
}

.date-field {
  grid-column: 2 / -1;
  width: 440px;
  height: 48px;
  box-sizing: border-box;
  margin-bottom: 4px;
  padding-left: 20px;

  font-weight: 700;
  font-size: 18px;
  line-height: 24px;
  font-family: inherit;

  background-color: #f2f2f2;
  background-image: url("../images/icons/calendar.svg");
  background-repeat: no-repeat;
  background-position: right 22px center;
  border-radius: 4px;
  border: none;
}

.date-field:not(:disabled):hover {
  background-color: #e5e5e5;
}

.date-field:focus {
  background-color: #e5e5e5;
  outline: 3px solid #83b3d3;
}

.date-field:not(:disabled):active {
  background-color: #e5e5e5;
  outline: 2px solid #83b3d3;
}

.date-field:disabled {
  opacity: 50%;
}

.date-comment {
  grid-column: 2 / -1;

  margin: 0 0 23px;
  padding-left: 20px;

  font-size: 16px;
  line-height: 21px;
}

.date-error {
  color: #ff5757;
}

.adult-guests-label {
  grid-column: 1 / 2;

  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
}

.adults-number-wrapper {
  display: flex;
  grid-column: 2 / 3;
}

.children-guests-label {
  position: relative;

  grid-column: 3 / 4;

  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
}

.children-guests-tooltip {
  position: relative;

  padding-right: 26px;
}

.children-number-wrapper {
  display: flex;
  grid-column: 4 / 5;
}

.guests-number {
  z-index: 1;

  width: 31px;
  height: 48px;
  box-sizing: border-box;
  padding: 14px 5px;

  font-weight: 700;
  font-size: 18px;
  line-height: 20px;
  text-align: center;

  background-color: #f2f2f2;
  border: none;

  -moz-appearance: textfield;
  appearance: textfield;
}

.guests-number::-webkit-inner-spin-button,
.guests-number::-webkit-outer-spin-button {
  appearance: none;
}

.guests-number:not(:disabled):hover {
  background-color: #e5e5e5;
}

.amount-change:has(+ .guests-number:not(:disabled):hover),
.guests-number:not(:disabled):hover + .amount-change {
  background-color: #e5e5e5;
}

.guests-number:focus-visible {
  background-color: #e5e5e5;
  outline: 3px solid #83b3d3;
}

.amount-change:has(+ .guests-number:focus-visible),
.guests-number:focus-visible + .amount-change {
  background-color: #e5e5e5;
}

.guests-number:not(:disabled):active {
  background-color: #e5e5e5;
  outline: 2px solid #83b3d3;
}

.guests-number:disabled {
  opacity: 50%;
}

.amount-change {
  width: 40px;
  height: 48px;
  padding: 14px 10px;

  background-color: #f2f2f2;
  border: none;

  cursor: pointer;
}

.minus {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.plus {
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

.amount-icon {
  padding: 3px;

  fill: #756157;
  opacity: 30%;
}

.minus-icon {
  padding: 9px 3px;
}

.amount-change:not(:disabled):hover {
  background-color: #e5e5e5;
}

.amount-change:not(:disabled):hover .amount-icon {
  fill: #000000;
  opacity: 100%;
}

.guests-number:has(+ .amount-change:not(:disabled):hover),
.amount-change:not(:disabled):hover + .guests-number,
.amount-change:has(~ .amount-change:not(:disabled):hover),
.amount-change:not(:disabled):hover ~ .amount-change,
.guests-number:has(+ .amount-change:focus-visible),
.amount-change:focus-visible + .guests-number,
.amount-change:has(~ .amount-change:focus-visible),
.amount-change:focus-visible ~ .amount-change {
  background-color: #e5e5e5;
}

.amount-change:focus-visible {
  background-color: #e5e5e5;
  outline: none;
}

.amount-change:focus-visible .amount-icon {
  fill: #000000;
  opacity: 100%;
  border-radius: 6px;
  outline: 3px solid #83b3d3;
}

.amount-change:not(:disabled):active .amount-icon {
  fill: #000000;
  opacity: 30%;
}

.amount-change:disabled {
  opacity: 50%;

  cursor: default;
}

.tooltip {
  position: absolute;

  width: 26px;
  height: 26px;
  margin-left: 10px;
}

.tooltip-toggle {
  display: block;
  margin: 0;
  padding: 0;

  background-color: transparent;
  border: none;
}

.tooltip-icon {
  display: block;
  width: 100%;
  height: 100%;
}

.tooltip-toggle:hover .tooltip-icon {
  opacity: 60%;
}

.tooltip-text {
  position: absolute;
  top: 41px;
  left: -114px;

  display: none;
  min-width: 256px;
  min-height: 143px;
  box-sizing: border-box;
  padding: 20px;

  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
  color: #ffffff;

  background-color: #333333;
  border-radius: 10px;
  box-shadow: 0 15px 30px 0 rgba(0, 0, 0, 0.3);
}

.tooltip-text:before {
  position: absolute;
  bottom: 100%;
  left: 118px;

  width: 19px;
  height: 9px;

  content: "";

  background-image: url("../images/icons/tooltip-arrow.svg");
  background-repeat: no-repeat;
}

.tooltip-toggle:hover + .tooltip-text,
.tooltip-toggle:focus + .tooltip-text {
  display: block;
}

.modal-search-button {
  grid-column: 1 / -1;
  min-height: 60px;
  box-sizing: border-box;
  margin-top: 48px;

  font-size: 20px;
  line-height: 24px;

  background-color: #83b3d3;
  border-radius: 10px;
}

.modal-search-button:hover {
  background-color: #68a2ca;
}

.modal-search-button:focus-visible {
  background-color: #68a2ca;
}

.modal-search-button:active {
  color: rgba(255, 255, 255, 0.3);

  background-color: #68a2ca;
}

.color-second {
  color: #ffffff;
}
